Bug 1195886 - 'VelocityScale' equivalent
Summary: 'VelocityScale' equivalent
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-libinput
Version: 21
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 19:27 UTC by poma
Modified: 2015-04-11 14:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-08 21:57:10 UTC


Attachments (Terms of Use)

Description poma 2015-02-24 19:27:01 UTC
'AccelSpeed' is not an equivalent for 'VelocityScale'.

man 4 libinput
Option "AccelSpeed" "float"
       Sets the pointer acceleration speed within the range [-1, 1]
libinput Accel Speed
       1 32-bit float value, defines the pointer speed. Value range -1, 1

Tested with:
xfce4-settings-4.11.4-4.git20150224.fc21.x86_64
xorg-x11-drv-libinput-0.7.0-2.fc21.x86_64
xorg-x11-drv-libinput-devel-0.7.0-2.fc21.x86_64
libinput-devel-0.11.0-2.fc21.x86_64
libinput-0.11.0-2.fc21.x86_64

/etc/X11/xorg.conf.d/00-libinput-mouse.conf
# Match on all pointer types of devices

Section "InputClass"
        Identifier      "libinput pointer catchall"
        MatchIsPointer  "on"
        MatchDevicePath "/dev/input/event*"
        Option          "AccelSpeed" "+1.0"
        Driver          "libinput"
EndSection


If possible please provide an equivalent for 'VelocityScale' in libinput. 


Ref.
- VelocityScale
  http://www.x.org/wiki/Development/Documentation/PointerAcceleration/#index4h4
- Mouse acceleration
  https://wiki.archlinux.org/index.php/Mouse_acceleration

Comment 1 Peter Hutterer 2015-02-25 05:25:41 UTC
Gonna link to this here first:
http://www.freedesktop.org/wiki/Software/libinput/feature_requests/

Can you explain what you are trying to achive? Maybe there's a better way around it.

Comment 2 poma 2015-03-05 22:45:58 UTC
I'm not trying to achieve, I'm using it for years actually. ;)
Without the VelocityScale Maximus, I'm struggling with the bunny as Herrigel struggled with the bow.
This, now specific "brakeless" mouse pointer movement has been, until the certain point of time in the Xorg input shabang, actually common.
And then someone decided to change the whole picture.
Surprise, surprise!

Comment 3 Peter Hutterer 2015-03-06 07:04:14 UTC
none of that answers my question though, so I'm still left with a feature request without knowing what you're actually trying to achieve.

Comment 4 poma 2015-03-06 08:23:12 UTC
It seems that you only looking for an excuse not to implement  'VelocityScale' equivalent. ;)
Surprise, surprise!

Comment 5 Peter Hutterer 2015-03-08 21:57:10 UTC
closing as INSUFFICIENT_DATA, please re-open when the data I requested in comment #1 was provided.


Note You need to log in before you can comment on or make changes to this bug.